package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品资料对象 t_base_goods
 * 
 * @author wms
 * @date 2022-05-09
 */
@TableName("t_base_goods")
public class TBaseGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商品编号 */
    @Excel(name = "商品编号")
    @TableField("GOODS_ID")
    private String goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @TableField("GOODS_NAME")
    private String goodsName;

    /** 商品简称 */
    @Excel(name = "商品简称")
    @TableField("GOODS_SHORT_NAME")
    private String goodsShortName;

    /** 助记码 */
    @Excel(name = "助记码")
    @TableField("PY_NAME")
    private String pyName;

    /** 商品分类编号 */
    @Excel(name = "商品分类编号")
    @TableField("GOODS_TYPE_ID")
    private String goodsTypeId;

    /** 规格 */
    @Excel(name = "规格")
    @TableField("SPECIFICATION")
    private String specification;

    /** 型号 */
    @Excel(name = "型号")
    @TableField("MODEL")
    private String model;

    /** 单价 */
    @Excel(name = "单价")
    @TableField("PRICE")
    private BigDecimal price;

    /** 条形码 */
    @Excel(name = "条形码")
    @TableField("BARCODE")
    private String barcode;

    /** 长 */
    @Excel(name = "长")
    @TableField("GLENGTH")
    private BigDecimal glength;

    /** 宽 */
    @Excel(name = "宽")
    @TableField("GWIDTH")
    private BigDecimal gwidth;

    /** 高 */
    @Excel(name = "高")
    @TableField("GHEIGHT")
    private BigDecimal gheight;

    /** 体积 */
    @Excel(name = "体积")
    @TableField("GVOLUME")
    private BigDecimal gvolume;

    /** 商品重量单位 （字典表获取下拉） */
    @Excel(name = "商品重量单位 ", readConverterExp = "字=典表获取下拉")
    @TableField("SCALE_UNIT")
    private String scaleUnit;

    /** 商品单位 （字典表获取下拉） */
    @Excel(name = "商品单位 ", readConverterExp = "字=典表获取下拉")
    @TableField("UNIT")
    private String unit;

    /** 库存上限 */
    @Excel(name = "库存上限")
    @TableField("WARN_UP")
    private BigDecimal warnUp;

    /** 库存下限 */
    @Excel(name = "库存下限")
    @TableField("WARN_DOWN")
    private BigDecimal warnDown;

    /** 产地 */
    @Excel(name = "产地")
    @TableField("PRODUCE_AREA")
    private String produceArea;

    /** 毛重 */
    @Excel(name = "毛重")
    @TableField("GROSS_WEIGHT")
    private BigDecimal grossWeight;

    /** 净重 */
    @Excel(name = "净重")
    @TableField("NET_WEIGHT")
    private BigDecimal netWeight;

    /** 供应商编号 */
    @Excel(name = "供应商编号")
    @TableField("PROVIDER_ID")
    private String providerId;

    /** 海关编码 （HS编码） */
    @Excel(name = "海关编码 ", readConverterExp = "H=S编码")
    @TableField("HSNUMBER")
    private String hsnumber;

    /** ABC分类 */
    @Excel(name = "ABC分类")
    @TableField("ABC")
    private String abc;

    /** 危险品   0否 1是 */
    @Excel(name = "危险品   0否 1是")
    @TableField("HAZARDOUS")
    private String hazardous;

    /** 存储条件  */
    @Excel(name = "存储条件 ")
    @TableField("STORAGE_CONDITIONS")
    private String storageConditions;

    /** 保质期 */
    @Excel(name = "保质期")
    @TableField("PERIOD")
    private BigDecimal period;

    /** 保质期单位 */
    @Excel(name = "保质期单位")
    @TableField("PERIODUNIT")
    private String periodunit;

    /** 增值税 */
    @Excel(name = "增值税")
    @TableField("ADDTAX")
    private BigDecimal addtax;

    /** 季节 */
    @Excel(name = "季节")
    @TableField("SEASON")
    private String season;

    /** 关税税率 */
    @Excel(name = "关税税率")
    @TableField("TARIFFRATE")
    private BigDecimal tariffrate;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("STATUS")
    private String status;

    /** 版本 */
    @Excel(name = "版本")
    @TableField("VERSION")
    private String version;

    /** 图片 */
    @Excel(name = "图片")
    @TableField("IMG")
    private String img;

    /** 创建人 */
    @Excel(name = "创建人")
    @TableField("CREATE_MAN")
    private String createMan;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("CREATE_DATE")
    private Date createDate;

    /** 修改人 */
    @Excel(name = "修改人")
    @TableField("UPDATE_MAN")
    private String updateMan;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("UPDATE_DATE")
    private Date updateDate;

    /** 是否是组合商品 0否 1是 */
    @Excel(name = "是否是组合商品 0否 1是")
    @TableField("SC_FLAG")
    private String scFlag;

    /** 成本价 */
    @Excel(name = "成本价")
    @TableField("COST_PRICE")
    private BigDecimal costPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("CUSTOMER_ID")
    private String customerId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("STS1")
    private String sts1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("IS_OPEN")
    private String isOpen;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("STORAGE_AREA_ID")
    private String storageAreaId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("ZH_FLAG")
    private String zhFlag;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("SEMISTS")
    private String semists;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("MATERIAL_CHARACTERISTICS")
    private String materialCharacteristics;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("RECHECKDAYS")
    private BigDecimal recheckdays;

    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setGoodsShortName(String goodsShortName) 
    {
        this.goodsShortName = goodsShortName;
    }

    public String getGoodsShortName() 
    {
        return goodsShortName;
    }
    public void setPyName(String pyName) 
    {
        this.pyName = pyName;
    }

    public String getPyName() 
    {
        return pyName;
    }
    public void setGoodsTypeId(String goodsTypeId) 
    {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsTypeId() 
    {
        return goodsTypeId;
    }
    public void setSpecification(String specification) 
    {
        this.specification = specification;
    }

    public String getSpecification() 
    {
        return specification;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }
    public void setGlength(BigDecimal glength) 
    {
        this.glength = glength;
    }

    public BigDecimal getGlength() 
    {
        return glength;
    }
    public void setGwidth(BigDecimal gwidth) 
    {
        this.gwidth = gwidth;
    }

    public BigDecimal getGwidth() 
    {
        return gwidth;
    }
    public void setGheight(BigDecimal gheight) 
    {
        this.gheight = gheight;
    }

    public BigDecimal getGheight() 
    {
        return gheight;
    }
    public void setGvolume(BigDecimal gvolume) 
    {
        this.gvolume = gvolume;
    }

    public BigDecimal getGvolume() 
    {
        return gvolume;
    }
    public void setScaleUnit(String scaleUnit) 
    {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() 
    {
        return scaleUnit;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setWarnUp(BigDecimal warnUp) 
    {
        this.warnUp = warnUp;
    }

    public BigDecimal getWarnUp() 
    {
        return warnUp;
    }
    public void setWarnDown(BigDecimal warnDown) 
    {
        this.warnDown = warnDown;
    }

    public BigDecimal getWarnDown() 
    {
        return warnDown;
    }
    public void setProduceArea(String produceArea) 
    {
        this.produceArea = produceArea;
    }

    public String getProduceArea() 
    {
        return produceArea;
    }
    public void setGrossWeight(BigDecimal grossWeight) 
    {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getGrossWeight() 
    {
        return grossWeight;
    }
    public void setNetWeight(BigDecimal netWeight) 
    {
        this.netWeight = netWeight;
    }

    public BigDecimal getNetWeight() 
    {
        return netWeight;
    }
    public void setProviderId(String providerId) 
    {
        this.providerId = providerId;
    }

    public String getProviderId() 
    {
        return providerId;
    }
    public void setHsnumber(String hsnumber) 
    {
        this.hsnumber = hsnumber;
    }

    public String getHsnumber() 
    {
        return hsnumber;
    }
    public void setAbc(String abc) 
    {
        this.abc = abc;
    }

    public String getAbc() 
    {
        return abc;
    }
    public void setHazardous(String hazardous) 
    {
        this.hazardous = hazardous;
    }

    public String getHazardous() 
    {
        return hazardous;
    }
    public void setStorageConditions(String storageConditions) 
    {
        this.storageConditions = storageConditions;
    }

    public String getStorageConditions() 
    {
        return storageConditions;
    }
    public void setPeriod(BigDecimal period) 
    {
        this.period = period;
    }

    public BigDecimal getPeriod() 
    {
        return period;
    }
    public void setPeriodunit(String periodunit) 
    {
        this.periodunit = periodunit;
    }

    public String getPeriodunit() 
    {
        return periodunit;
    }
    public void setAddtax(BigDecimal addtax) 
    {
        this.addtax = addtax;
    }

    public BigDecimal getAddtax() 
    {
        return addtax;
    }
    public void setSeason(String season) 
    {
        this.season = season;
    }

    public String getSeason() 
    {
        return season;
    }
    public void setTariffrate(BigDecimal tariffrate) 
    {
        this.tariffrate = tariffrate;
    }

    public BigDecimal getTariffrate() 
    {
        return tariffrate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setImg(String img) 
    {
        this.img = img;
    }

    public String getImg() 
    {
        return img;
    }
    public void setCreateMan(String createMan) 
    {
        this.createMan = createMan;
    }

    public String getCreateMan() 
    {
        return createMan;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setUpdateMan(String updateMan) 
    {
        this.updateMan = updateMan;
    }

    public String getUpdateMan() 
    {
        return updateMan;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setScFlag(String scFlag) 
    {
        this.scFlag = scFlag;
    }

    public String getScFlag() 
    {
        return scFlag;
    }
    public void setCostPrice(BigDecimal costPrice) 
    {
        this.costPrice = costPrice;
    }

    public BigDecimal getCostPrice() 
    {
        return costPrice;
    }
    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }
    public void setSts1(String sts1) 
    {
        this.sts1 = sts1;
    }

    public String getSts1() 
    {
        return sts1;
    }
    public void setIsOpen(String isOpen) 
    {
        this.isOpen = isOpen;
    }

    public String getIsOpen() 
    {
        return isOpen;
    }
    public void setStorageAreaId(String storageAreaId) 
    {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaId() 
    {
        return storageAreaId;
    }
    public void setZhFlag(String zhFlag) 
    {
        this.zhFlag = zhFlag;
    }

    public String getZhFlag() 
    {
        return zhFlag;
    }
    public void setSemists(String semists) 
    {
        this.semists = semists;
    }

    public String getSemists() 
    {
        return semists;
    }
    public void setMaterialCharacteristics(String materialCharacteristics) 
    {
        this.materialCharacteristics = materialCharacteristics;
    }

    public String getMaterialCharacteristics() 
    {
        return materialCharacteristics;
    }
    public void setRecheckdays(BigDecimal recheckdays) 
    {
        this.recheckdays = recheckdays;
    }

    public BigDecimal getRecheckdays() 
    {
        return recheckdays;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("goodsShortName", getGoodsShortName())
            .append("pyName", getPyName())
            .append("goodsTypeId", getGoodsTypeId())
            .append("specification", getSpecification())
            .append("model", getModel())
            .append("price", getPrice())
            .append("barcode", getBarcode())
            .append("glength", getGlength())
            .append("gwidth", getGwidth())
            .append("gheight", getGheight())
            .append("gvolume", getGvolume())
            .append("scaleUnit", getScaleUnit())
            .append("unit", getUnit())
            .append("warnUp", getWarnUp())
            .append("warnDown", getWarnDown())
            .append("produceArea", getProduceArea())
            .append("grossWeight", getGrossWeight())
            .append("netWeight", getNetWeight())
            .append("providerId", getProviderId())
            .append("hsnumber", getHsnumber())
            .append("abc", getAbc())
            .append("hazardous", getHazardous())
            .append("storageConditions", getStorageConditions())
            .append("period", getPeriod())
            .append("periodunit", getPeriodunit())
            .append("addtax", getAddtax())
            .append("season", getSeason())
            .append("tariffrate", getTariffrate())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("version", getVersion())
            .append("img", getImg())
            .append("createMan", getCreateMan())
            .append("createDate", getCreateDate())
            .append("updateMan", getUpdateMan())
            .append("updateDate", getUpdateDate())
            .append("scFlag", getScFlag())
            .append("costPrice", getCostPrice())
            .append("customerId", getCustomerId())
            .append("sts1", getSts1())
            .append("isOpen", getIsOpen())
            .append("storageAreaId", getStorageAreaId())
            .append("zhFlag", getZhFlag())
            .append("semists", getSemists())
            .append("updateBy", getUpdateBy())
            .append("materialCharacteristics", getMaterialCharacteristics())
            .append("recheckdays", getRecheckdays())
            .toString();
    }
}
